<div ng-repeat="messageItem in model.flashMessages">
    <div class="alert success">{{messageItem.message}}</div>
</div>
<md-table-container>
    <table md-table md-progress="model.promise" class="menusTable" >
        <thead md-head md-order="model.query.order">
        <tr md-row>
            <th md-column><span>#Id</span></th>
            <th md-column><span>Title (CZ)</span></th>
            <th md-column><span>Title (EN)</span></th>
            <th ng-if="publicationEnabled()" md-column><span>Published</span></th>
            <th md-column class="actionsColumnHeader">Actions</th>
        </tr>
        </thead>
        <tbody md-body ui-sortable="sortableOptions" ng-model="items">
        <tr md-row md-select="menuItem" md-select-id="id" md-auto-select
            ng-repeat="menuItem in items | orderBy:model.query.order | limitTo:model.query.limit: (model.query.page -1) * model.query.limit">
            <td md-cell>{{menuItem.id}}</td>
            <td md-cell>{{menuItem.title}}</td>
            <td md-cell>{{menuItem.title_en}}</td>
            <td ng-if="publicationEnabled()" md-cell>
                <md-checkbox ng-model="menuItem.published" aria-label="Published?'" ng-click="publishItem(menuItem)">
                </md-checkbox>
            </td>
            <td md-cell class="actionsCell"><a href=''
                                               ng-click="editMenuItem(menuItem)">Edit</a></td>
        </tr>
        </tbody>
    </table>
</md-table-container>
<md-table-pagination md-limit="model.query.limit"
                     md-limit-options="[5, 10, 15]" md-page="model.query.page"
                     md-total="{{items.length}}" md-on-paginate="getMenuItems"
                     md-page-select></md-table-pagination>
